diff lphobos/build.sh @ 131:5825d48b27d1 trunk

[svn r135] * Merged DMD 1.025 * * Fixed a minor linking order mishap * * Added an command line option -annotate * * Fixed some problems with running optimizations * * Added std.stdio and dependencies to lphobos (still not 100% working, but compiles and links) * * Fixed problems with passing aggregate types to variadic functions * * Added initial code towards full GC support, currently based on malloc and friends, not all the runtime calls the GC yet for memory * * Fixed problems with resolving nested function context pointers for some heavily nested cases * * Redid function argument passing + other minor code cleanups, still lots to do on this end... *
author lindquist
date Fri, 04 Jan 2008 01:38:42 +0100
parents 7f9a0a58394b
children 373489eeaf90
line wrap: on
line diff
--- a/lphobos/build.sh	Fri Dec 28 23:52:40 2007 +0100
+++ b/lphobos/build.sh	Fri Jan 04 01:38:42 2008 +0100
@@ -5,8 +5,8 @@
 rm -f obj/*.bc
 rm -f ../lib/*.bc
 
-LLVMDCFLAGS="-c -odobj"
-REBUILDFLAGS="-dc=llvmdc-posix-internal -c -oqobj"
+LLVMDCFLAGS="-c -odobj -g"
+REBUILDFLAGS="-dc=llvmdc-posix-internal -c -oqobj -g"
 
 echo "compiling contract runtime"
 llvmdc internal/contract.d -c -of../lib/llvmdcore.bc -noruntime || exit 1
@@ -56,12 +56,14 @@
 
 echo "compiling garbage collector"
 llvmdc gc/gclinux.d $LLVMDCFLAGS || exit 1
-llvmdc gc/gcstub.d $LLVMDCFLAGS -Igc || exit 1
+llvmdc gc/gcx.d $LLVMDCFLAGS -Igc || exit 1
 llvmdc gc/gcbits.d $LLVMDCFLAGS -Igc || exit 1
-llvm-link -f -o=../lib/llvmdcore.bc obj/gclinux.bc obj/gcstub.bc obj/gcbits.bc ../lib/llvmdcore.bc || exit 1
+llvmdc gc/gc.d $LLVMDCFLAGS -Igc || exit 1
+llvm-link -f -o=../lib/llvmdcore.bc obj/gclinux.bc obj/gcx.bc obj/gcbits.bc obj/gc.bc ../lib/llvmdcore.bc || exit 1
 
 echo "compiling phobos"
 rebuild phobos.d $REBUILDFLAGS || exit 1
+echo "linking phobos"
 llvm-link -f -o=../lib/llvmdcore.bc `ls obj/std.*.bc` ../lib/llvmdcore.bc || exit 1
 
 echo "optimizing"